# Enum Options.Prefix

java.lang.Object
java.lang.Enum<Options.Prefix>
ml.options.Options.Prefix

All Implemented Interfaces:
  `Serializable, Comparable<Options.Prefix>, java.lang.constant.Constable`

Enclosing class:
  `Options`

public static enum Options.Prefix extends Enum<Options.Prefix>
An enum encapsulating the possible prefixes identifying options (and separating them from command line data items)

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DASH`
Options start with a "-" (typically on Unix platforms)
`DOUBLEDASH`
Options start with a "--" (like GNU-style options on Unix platforms)
`SLASH`
Options start with a "/" (typically on Windows platforms)

## Method Summary

Modifier and Type
Method
Description
`static Options.Prefix`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Options.Prefix[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DASH

public static final Options.Prefix DASH
Options start with a "-" (typically on Unix platforms)

### DOUBLEDASH

public static final Options.Prefix DOUBLEDASH
Options start with a "--" (like GNU-style options on Unix platforms)

### SLASH

public static final Options.Prefix SLASH
Options start with a "/" (typically on Windows platforms)

## Method Details

### values

public static Options.Prefix[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Options.Prefix valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null